package cicaprojekt;

import java.util.Stack;

public class Scale extends Field {
	private Gate gateConnected;
	private Stack<Pickable> itemsOnTile;
	private int threshold;
	private int weight;


	public Scale(Gate gate, int threshold){
		gateConnected = gate;
		this.threshold = threshold;
		itemsOnTile = new Stack<Pickable>();
	}
	
	public void onEntry() {
		gateConnected.setOpen(true);
	}
	
	public void onExit() {
		gateConnected.setOpen(false);
	}

	@Override
	public Pickable removeItemFromTile() {
		weight -= itemsOnTile.peek().weight();
		stackChanged();
		return itemsOnTile.pop();
	}

	@Override
	public void setItemOnTile(Pickable item) {
		itemsOnTile.push(item);
		weight += item.weight();
		stackChanged();
	}

	public void spawnStargate(cicaprojekt.Stargate stargate, Direction direction) {
		adjacentTile.get(direction).spawnStargate(stargate, direction);
	}

	private void stackChanged() {
		if(weight > threshold)
			gateConnected.setOpen(true);
		else
			gateConnected.setOpen(false);
	}
}
