package cicaprojekt;

import java.util.HashMap;
import java.util.Map;

public abstract class Tile {
	protected Map<Direction, Tile> adjacentTile;
	private Pickable itemOnTile;
	
	
	public Tile(){
		adjacentTile = new HashMap<Direction, Tile>();

		adjacentTile.put(Direction.NORTH, Field.testField);
		adjacentTile.put(Direction.EAST, Field.testField);
		adjacentTile.put(Direction.SOUTH, Field.testField);
		adjacentTile.put(Direction.WEST, Field.testField);
		itemOnTile = new Box();
	}
	
	public Tile getAdjacentTile(Direction direction) {
		return adjacentTile.get(direction);
	}

	public void setAdajacentTile(Tile newTile, Direction direction) {
		adjacentTile.put(direction, newTile);
	}

	public abstract void spawnStargate(Stargate stargate, Direction direction);
	
	public abstract void onEntry(PlayerBase playerBase);
	
	public abstract void onExit(PlayerBase playerBase);
	
	public Pickable removeItemFromTile() {
		Pickable item = itemOnTile;
		itemOnTile = null;
		return item;
	}
	
	public void setItemOnTile(Pickable item) {
		itemOnTile = item;
	}
}
